ERRNO(1)

NAME
errno - look up errno names and descriptions

SYNOPSIS

errno {name-or-code}

errno [-ls] [--list]

errno [-s] [--search] {word}

errno [-S] [--search-all-locales] {word}

DESCRIPTION

errno looks up errno macro names, errno codes, and the corresponding descriptions. For example, if given ENOENT on a Linux system, it prints out the code 2 and the description "No such file or directory". If given the code 2, it prints ENOENT and the same description.

OPTIONS

-l, --list
    List all errno values.

-s, --search
    Search for errors whose description contains all the given words (case-insensitive).

-S, --search-all-locales
    Like --search, but searches all installed locales.

AUTHOR

Lars Wirzenius

SEE ALSO

errno(3)